Bug 155074 - Edit Image should allow chance to adjust RAW conversion parameters
Summary: Edit Image should allow chance to adjust RAW conversion parameters
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: ImageEditor-RawImport (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-04 13:53 UTC by Paul Waldo
Modified: 2016-07-09 18:48 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.9.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Waldo 2008-01-04 13:53:16 UTC
Version:           0.9.2-final (using KDE 3.5.8, Kubuntu (gutsy) 4:3.5.8-0ubuntu3.1)
Compiler:          Target: x86_64-linux-gnu
OS:                Linux (x86_64) release 2.6.22-14-xen

When I edit a RAW image, the deafult DCRaw parameters are used to perform the conversion.  It would be nice to have the ability to alter the RAW conversion parameters (just like in Tools|Raw Image Converter) before being taken to the Edit window.
Comment 1 caulier.gilles 2008-03-10 22:16:36 UTC
SVN commit 784222 by cgilles:

digiKam from KDE3 branch : RAW image loader : backport 8 bits color depth auto-gamma and auto-white balance adjustements from dcraw with 16 bits color depth.
These auto adjustements are performed only if Color Management is not used with image editor.

The color rendering in 16 bits is exactly the same than in 8 bits.

This is want mean than you can process speedly your RAW exactly as JPEG. Just set your usual settings in RAW dedoding and open your RAW pictures as well in editor.

This is the same way used by LightZone pro software to process RAW file without color management !

This way simplify the task in Raw workflow... and will be suitable in 90% of case. Color Management must be used in others cases...

BUG: 146393
CCBUGS: 124814
CCBUGS: 150457
CCBUGS: 155074



 M  +1 -0      Makefile.am  
 M  +76 -0     rawloader.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=784222
Comment 2 caulier.gilles 2008-03-18 14:06:04 UTC
Paul, 

Look my comment here : http://bugs.kde.org/show_bug.cgi?id=124814#c10

...and let's me hear your viewpoint

Gilles Caulier
Comment 3 caulier.gilles 2008-08-05 14:52:00 UTC
SVN commit 842507 by cgilles:

digiKam from KDE3 branch : new tool to import RAW file in editor 
There are 2 way to handle RAW file in editor :

1/ using auto-gamma. User let's digiKam import RAW image using default RAW decoding setting from config panel. An Autogamma is applied to image.
This option is used by default when you open image in editor. Toi change it, go to Image editor config panel and set on "Use Raw Import tool" option.
2/ using Raw Import tool. In this way a dialog with all RAW decoding settings and a preview of decoded image is displayed. 
Histogram is available, and panning/zomming over the preview is possible.

Note: this Raw import tool is also available with Showfoto of course...

A preview of tool in action can be see on digiKam-labs flickr photo pool: 

http://farm4.static.flickr.com/3097/2735517982_598f1e30c3_o.png

TODO : * included all Color management settings relevant of RAW decoding. display this settings if digiKam Color Management is on.
       * added a gamma adjustement with RAW decoding.
       * removed Tools/RAW Converter (single) option provided by RAW converter kipi-plugin which become obsolete here 
       (Batch RAW converter will still available). Remplace this option by a link to Raw Import tool directly.
       
BUG: 142975
BUG: 150457
BUG: 155074
BUG: 155076




 M  +1 -1      imageeditor/canvas/Makefile.am  
 M  +16 -3     imageeditor/canvas/dimginterface.cpp  
 M  +4 -0      imageeditor/canvas/iofilesettingscontainer.h  
 M  +4 -2      imageeditor/editor/Makefile.am  
 M  +2 -0      imageeditor/editor/editorwindow.cpp  
 M  +56 -70    imageeditor/rawimport/rawimportdlg.cpp  
 M  +2 -1      imageeditor/rawimport/rawimportdlg.h  
 M  +23 -15    setup/setupeditor.cpp  
 M  +1 -1      setup/setupeditor.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=842507